跳转到内容

MediaWiki:Monobook.css

维基百科,自由的百科全书
注意:保存之后,你必须清除浏览器缓存才能看到做出的更改。Google ChromeFirefoxMicrosoft EdgeSafari:按住⇧ Shift键并单击工具栏的“刷新”按钮。参阅Help:绕过浏览器缓存以获取更多帮助。
/**
 * Monobook皮肤的公共CSS
 * 管理员注意!任何对Monobook.css的改变必须先在技术客栈讨论,谢谢。 
 */

/* Don't display some stuff on the main page */
body.ns-4.page-Wikipedia_首页 #deleteconfirm,
body.ns-4.page-Wikipedia_首页 #t-cite,
body.ns-4.page-Wikipedia_首页 #lastmod,
body.ns-4.page-Wikipedia_首页 #siteSub,
body.ns-4.page-Wikipedia_首页 #contentSub,
body.ns-4.page-Wikipedia_首页 h1.firstHeading {
	display: none !important;
}
/* The above causes the bodyContent div to cover most of the 
   tabs on the main page, making them unclickable. Shifting 
   it down a bit fixes the problem. */
body.ns-4.page-Wikipedia_首页 #bodyContent {
	margin-top: 1.3em;
}

/* Donations link to be uncommented during fundraising drives */
#siteNotice {
	margin-top: 5px;
	padding-left: 4px;
	font-style: italic;
	text-align: center;
}

/*
#fundraising {
 text-align: center;
 border: 1px solid gray;
 padding: 5px;
}
*/

/* BEGIN LIGHT BLUE SECTION
   Make content area light blue in all namespaces except articles (main namespace). 
   This is done by setting the background color for all #content areas 
   to light blue, and then overriding it back to white for any #content 
   enclosed in a .ns-0 (main namespace). We do the same for the "tab" 
   backgrounds and some other objects. */

div#content,
div#p-cactions li a:hover,
div#p-cactions li.selected a,
div#content div.thumb {
	/* "Margin" for thumbs, padding for galleries */
	background-color: #f8fcff; /* Light blue */
}
div#p-cactions li a {
	background-color: #f7f9fb; /* Light blue-gray inactive tabs */
}

.ns-0 div#content,
.ns-0 div#p-cactions li a:hover,
.ns-0 div#p-cactions li.selected a,
.ns-0 div#content div.thumb,
.ns-4.page-Wikipedia_首页 div#content,
.ns-4.page-Wikipedia_首页 div#p-cactions li a:hover,
.ns-4.page-Wikipedia_首页 div#p-cactions li.selected a,
.ns-4.page-Wikipedia_首页 div#content div.thumb {
	background-color: white; /* Set back to white for articles */
}
.ns-0 div#p-cactions li a,
.ns-4.page-Wikipedia_首页 div#p-cactions li a {
	background-color: #fbfbfb; /* Light gray inactive tabs in articles */
}

@media print {
	div#content {
		background: white;
	} /* White background on print */
}

/* Category lists and diffs transparent instead of white. */
#mw-subcategories table,
#mw-pages table,
table.diff,
td.diff-otitle,
td.diff-ntitle {
	background-color: transparent;
}

/* Bold 'edit this page' link to encourage newcomers */
#ca-edit a {
	font-weight: bold !important;
}

/* Display "User $1, you are already logged in!"
   ([[MediaWiki:Alreadyloggedin]]) in red and bold */
div.alreadyloggedin {
	color: red;
	font-weight: bold;
}

@media print {
	/* Do not print edit link in templates using Template:Ed
       Do not print certain classes that shouldn't appear on paper */
	.editlink,
	.noprint,
	.metadata,
	.dablink {
		display: none;
	}
	#content {
		background: #ffffff;
	} /* white background on print */
}

#pt-login {
	font-weight: bold;
	font-size: 110%;
}

form#userlogin {
	float: left;
	padding: 1em 1em 0.7em 1em;
	background-color: #ffffe6;
	border: 2px solid #fc6;
	color: #000;
	margin-right: 2em;
}

form#userlogin table {
	float: left;
	background-color: #ffffe6;
	color: #000;
}

p.error {
	font-weight: bold;
}

/* Fix Fontsize */
.portlet h5,
.portlet ul,
#toc .toctoggle {
	font-size: 100%;
}
.pBody,
#footer,
div.thumb div {
	font-size: 95%;
}

h2 {
	font-weight: bold;
}

/*
ul {
    margin: 0.5em 0 0 1.5em;
}
 */

/* sharedUploadNotice 去掉斜體 */
#sharedUploadNotice {
	font-style: normal;
}

/* siteNotice 去掉斜体 */
#siteNotice {
	font-style: normal;
}

/* siteNotice 的表格去除顏色 */
#siteNotice table {
	background: transparent;
}

.mw-body-content #coordinates {
	position: absolute;
	z-index: 1;
	border: none;
	background: none;
	right: 0;
	top: 4.2em;
	float: right;
	margin: 0em;
	padding: 0em;
	padding-right: 30px;
	line-height: 1.5em;
	text-align: right;
	text-indent: 0;
	font-size: 85%;
	text-transform: none;
	white-space: nowrap;
}

li.FA,
.portlet .badge-featuredarticle,
.portlet .badge-featuredlist {
	list-style-image: url("//upload.wikimedia.org/wikipedia/commons/d/d4/Monobook-bullet-star.png");
}

li.GA,
.portlet .badge-goodarticle {
	list-style-image: url("//upload.wikimedia.org/wikipedia/commons/4/42/Monobook-bullet-ga.png");
}

.selected-anniversary dl {
	list-style-image: url("data:image/gif;base64,R0lGODlhBQANAIAAAGOMnP///yH5BAEAAAEALAAAAAAFAA0AAAIJjI+pu+APo4SpADs=");
	list-style-type: square;
}

.hlist dl {
	line-height: 1.5em;
}

/* T281974#8869238 */
#mw-indicator-coordinates {
	font-size: 13px;
}

/* 首页修复 */
#mp-2012-banner-title .mw-heading1 {
	border-bottom: none;
	font-size: 100%;
	margin: 0;
}